summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorErik Mackdanz <stasibear@gentoo.org>2016-01-08 21:27:06 -0600
committerErik Mackdanz <stasibear@gentoo.org>2016-01-08 21:27:06 -0600
commitde05ed5949dc4872b642407719d1336e6367d282 (patch)
treeb64d728f4a2f5e4b45e0dbd194a711348e3e2f24 /sys-fs/lxcfs/files
parentapp-eselect/eselect-php: version bump 0.8.3 -> 0.8.4. (diff)
downloadgentoo-de05ed5949dc4872b642407719d1336e6367d282.tar.gz
gentoo-de05ed5949dc4872b642407719d1336e6367d282.tar.bz2
gentoo-de05ed5949dc4872b642407719d1336e6367d282.zip
sys-fs/lxcfs: bump to 0.16
Package-Manager: portage-2.2.26
Diffstat (limited to 'sys-fs/lxcfs/files')
-rwxr-xr-xsys-fs/lxcfs/files/lxcfs-0.16.initd27
-rw-r--r--sys-fs/lxcfs/files/lxcfs-0.16.service13
2 files changed, 40 insertions, 0 deletions
diff --git a/sys-fs/lxcfs/files/lxcfs-0.16.initd b/sys-fs/lxcfs/files/lxcfs-0.16.initd
new file mode 100755
index 000000000000..a85021401a7d
--- /dev/null
+++ b/sys-fs/lxcfs/files/lxcfs-0.16.initd
@@ -0,0 +1,27 @@
+#!/sbin/runscript
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+DAEMON=/usr/bin/lxcfs
+PIDFILE=/run/lxcfs.pid
+
+start() {
+ ebegin "Starting lxcfs"
+
+ start-stop-daemon --start \
+ --pidfile ${PIDFILE} \
+ --exec ${DAEMON} \
+ --background \
+ --make-pidfile \
+ -- \
+ -f -o allow_other /var/lib/lxcfs
+
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping lxcfs"
+ start-stop-daemon --stop --quiet -R TERM/45 -p ${PIDFILE}
+ eend $?
+}
diff --git a/sys-fs/lxcfs/files/lxcfs-0.16.service b/sys-fs/lxcfs/files/lxcfs-0.16.service
new file mode 100644
index 000000000000..ff737c7e78ce
--- /dev/null
+++ b/sys-fs/lxcfs/files/lxcfs-0.16.service
@@ -0,0 +1,13 @@
+[Unit]
+Description=FUSE filesystem for LXC
+ConditionVirtualization=!container
+Before=lxc.service
+
+[Service]
+ExecStart=/usr/bin/lxcfs -f -o allow_other /var/lib/lxcfs
+KillMode=none
+Restart=on-failure
+ExecStop=/usr/bin/fusermount -u /var/lib/lxcfs
+
+[Install]
+WantedBy=multi-user.target